{

    inputs = {

        # Living on the edge
        nixpkgs = {
            url = github:NixOS/nixpkgs/nixos-unstable;
        };

        # Used for managing dotfiles
        home-manager = {
            url = github:nix-community/home-manager;
        };

        # Rust overlay, for Rust development
        oxalica = {
            url = github:oxalica/rust-overlay;
        };

		# For managing secrets
        agenix = {
            url = "github:ryantm/agenix";
        };

    };

    outputs = args: with args.nixpkgs; {
        nixosConfigurations = {

            # Desktop client
            "thor" = lib.nixosSystem {
                system = "x86_64-linux";
                modules = [
                    ./machines/thor/configuration.nix
                    ./common.nix
                ];
                specialArgs = args;
            };

            # Dell XPS laptop client
            "loki" = lib.nixosSystem {
                system = "x86_64-linux";
                modules = [
                    ./machines/loki/configuration.nix
                    ./common.nix
                ];
                specialArgs = args;
            };

            # TODO: Pinebook Pro

            # Raspberry Pi server
            "sif" = lib.nixosSystem {
                system = "aarch64-linux";
                modules = [
                    ./machines/sif/configuration.nix
                    ./common.nix
                ];
                specialArgs = args;
            };

        };
    };
    
}
