{ config, lib, pkgs, ... }:

{
	imports = [
    	./hardware-configuration.nix
		../../modules
	];

	riley = {
		gui = true;
		kak.ide = true;
	};

	networking = {
		hostName = "loki";
		interfaces.wlp6s0.useDHCP = true;
	};

    boot = {
        loader.systemd-boot = {
            enable = true;
            editor = false;
            configurationLimit = 10;
        };

        loader.efi = {
            canTouchEfiVariables = true;
        };
    };

	devices = {
		audio = {

			speakers = "";
            external = "";
            headset  = "";

			# Inputs
            main-mic = "";
            
        };

        video.displays = {

			# Internal display
            "eDP-1" = {
                primary = true;
                position = [ 0 0 ];
            };
            
        };

		
	};
}
