{ config, lib, pkgs, modulesPath, ... }:

{
	imports = [
		(modulesPath + "/installer/scan/not-detected.nix")
	];
	
	boot.initrd.availableKernelModules = [ "xhci_pci" "ehci_pci" "ahci" "usb_storage" "sd_mod" "rtsx_pci_sdmmc" ];
	boot.initrd.kernelModules = [];
	boot.kernelModules = [ "kvm-intel" ];
	boot.extraModulePackages = [];

	fileSystems."/" = {
		device = "/dev/disk/by-uuid/d5da56b4-936b-419b-b596-fb255dfb1337";
		fsType = "ext4";
	};

	fileSystems."/boot" = {
		device = "/dev/disk/by-uuid/9AAC-99AC";
		fsType = "vfat";
	};

	swapDevices = [];

	powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
	hardware.video.hidpi.enable = lib.mkDefault true;
}
