# Module that adds my terminal emulator of choice to my environment.

{ pkgs, lib, config, ... }:

let gui = config.custom.gui; in

with lib; mkIf (gui.enable) {
    
	home-manager.users."riley".programs.kitty = {

    	# Use kitty because it supports cool ligatures and
    	# has nice scripting capabilities.
		enable = true;

		font = {
			name = "Fira Code";
			size = 11;
		};
		
		settings = with gui.theme.hex; {

			bold_font = "Fira Code Medium";
			
			background = background.primary;
			foreground = foreground.primary;

			color1  = red.normal;
			color9  = red.bright;

			color2  = green.normal;
			color10 = green.bright;

			color3  = yellow.normal;
			color11 = yellow.bright;

			color4  = blue.normal;
			color12 = blue.bright;

			color5  = purple.normal;
			color13 = purple.bright;

			color6  = cyan.normal;
			color14 = cyan.bright;

		};
	};

}
