{ theme, lib, pkgs }:

pkgs.writeTextFile (rec {
    name = "colors.kak";
    destination = "/share/kak/colors/${name}";
    text = with theme; ''

        face global comment  rgb:828282

        face global value    rgb:${green.normal}
        face global string   rgb:${green.normal}
        face global keyword  rgb:${misc.blueGrey}
        face global operator rgb:${cyan.normal}
        face global function rgb:${cyan.normal}
        face global builtin  rgb:${orange.normal}
        face global module   rgb:${yellow.normal}
        face global meta     rgb:${green.bright}
        face global type     rgb:${blue.bright}
        face global trait    rgb:${purple.bright}
        face global macro    +b@meta
        face global method   function
        face global variant  rgb:${blue.normal}

        face global LineNumbers	      rgb:${background.slight}
        face global BufferPadding     rgb:${background.slight}
        face global LineNumberCursor  rgb:${foreground.primary}
        face global crosshairs_line   default,rgb:212121
        face global MenuForeground    default,rgb:${blue.normal}
        face global MenuBackground	  default,rgb:313131

        face global DiagnosticWarning default,default,yellow+c
        face global DiagnosticError   default,default,red+c
        face global DiagnosticHint    default,default,green+c

        face global Reference         default,rgb:323232,default

    '';
})
